<?php

class moec2f_cURL
{

	public function create_customer($email, $company, $password, $phone = '', $first_name = '', $last_name = '')
	{
		$url = moec2f_Constants::HOST_NAME . '/moas/rest/customer/add';
		$fields = array (
			'companyName' 	 => $company,
			'areaOfInterest' => 'WordPress 2 Factor Authentication Plugin',
			'productInterest' => 'API_2FA',
			'firstname' 	 => $first_name,
			'lastname' 		 => $last_name,
			'email' 		 => $email,
			'phone' 		 => $phone,
			'password' 		 => $password
		);
		$json = json_encode($fields);
		$response = moec2f_cURL::mo2f_make_curl_call($url, $json);
		return $response;
	}
	
	public function get_customer_key($email, $password) 
	{
		$url 	= moec2f_Constants::HOST_NAME. "/moas/rest/customer/key";
		$fields = array (
					'email' 	=> $email,
					'password'  => $password
				);
		$json = json_encode($fields);
		$response = moec2f_cURL::mo2f_make_curl_call($url, $json);

		return $response;
	}
	
	function submit_contact_us( $q_email, $q_phone, $query )
	{  

		$current_user = wp_get_current_user();
		$url    = moec2f_Constants::HOST_NAME . "/moas/rest/customer/contact-us";
		
		$is_nc_with_1_user          = moec2f_Utility::get_mo2f_db_option('mo2f_is_NC', 'get_option') && moec2f_Utility::get_mo2f_db_option('mo2f_is_NNC', 'get_option');
		$is_ec_with_1_user          = ! moec2f_Utility::get_mo2f_db_option('mo2f_is_NC', 'get_option');
        	$onprem = MOEC2F_IS_ONPREM ?'O':'C';

		$customer_feature = "";

		if ( $is_ec_with_1_user ) {
			$customer_feature = "V1";
		}else if ( $is_nc_with_1_user ) {
			$customer_feature = "V3";
		}
		global $moWpnsUtility;
		$query = '[E-Commerce 2 Factor Authentication Plugin: ' .$onprem.$customer_feature . ' - V '.MOEC2F_VERSION.'- Ticket Id:'.$moWpnsUtility->getFeatureStatus().']: ' . $query;
		
		$fields = array(
					'firstName'	=> $current_user->user_firstname,
					'lastName'	=> $current_user->user_lastname,
					'company' 	=> $_SERVER['SERVER_NAME'],
					'email' 	=> $q_email,
					'ccEmail' 	=> '2fasupport@xecurify.com',
					'phone'		=> $q_phone,
					'query'		=> $query
				);
		$field_string = json_encode( $fields );
		$response = self::mo2f_make_curl_call($url, $field_string);
		
		return true;
	}

	
	//CHECK
	function send_otp_token($auth_type, $phone, $email)
	{
		
		$url 		 = moec2f_Constants::HOST_NAME . '/moas/api/auth/challenge';
		$customerKey = moec2f_Constants::DEFAULT_CUSTOMER_KEY;
		$apiKey 	 = moec2f_Constants::DEFAULT_API_KEY;

		$fields  	 = array(
							'customerKey' 	  => $customerKey,
							'email' 	  	  => $email,
							'phone' 	  	  => $phone,
							'authType' 	  	  => $auth_type,
							'transactionName' => 'miniOrange 2-Factor'
						);
		$json 		 = json_encode($fields);
		
		$response 	 = self::mo2f_make_curl_call($url, $json);
		return $response;
	}

	

	function validate_otp_token($transactionId,$otpToken)
	{
		$url 		 = moec2f_Constants::HOST_NAME . '/moas/api/auth/validate';
		$customerKey = moec2f_Constants::DEFAULT_CUSTOMER_KEY;
		$apiKey 	 = moec2f_Constants::DEFAULT_API_KEY;

		$fields 	 = array(
						'txId'  => $transactionId,
						'token' => $otpToken,
					 );

		$json 		 = json_encode($fields);
		
		$response    = self::mo2f_make_curl_call($url, $json);
		return $response;
	}
	
	function check_customer($email)
	{
		$url 	= moec2f_Constants::HOST_NAME . "/moas/rest/customer/check-if-exists";
		$fields = array(
					'email' 	=> $email,
				);
		$json     = json_encode($fields);
		$response = self::mo2f_make_curl_call($url, $json);
		return $response;
	}
	
	function moec2f_forgot_password()
	{
	
		$url 		 = moec2f_Constants::HOST_NAME . '/moas/rest/customer/password-reset';
		$email       = get_option('mo2f_email');
		$customerKey = get_option('mo2f_customerKey');
		$apiKey 	 = get_option('mo2f_api_key');
	
		$fields 	 = array(
						'email' => $email
					 );
	
		$json 		 = json_encode($fields);
		
		$response    = self::mo2f_make_curl_call($url, $json);
		return $response;
	}

	function send_notification($toEmail,$subject,$content,$fromEmail,$fromName,$toName)
	{
		$headers = "MIME-Version: 1.0" . "\r\n";
		$headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

		$headers .= 'From: '.$fromName.'<'.$fromEmail.'>' . "\r\n";

		mail($toEmail,$subject,$content,$headers);

		return json_encode(array("status"=>'SUCCESS','statusMessage'=>'SUCCESS'));
	}

	//added for feedback

    function send_email_alert($email,$phone,$message,$feedback_option){
    	    global $moWpnsUtility;
	    global $user;

        $url = moec2f_Constants::HOST_NAME . '/moas/api/notify/send';
        $customerKey = moec2f_Constants::DEFAULT_CUSTOMER_KEY;
        $apiKey 	 = moec2f_Constants::DEFAULT_API_KEY;
        
        $fromEmail			= 'no-reply@xecurify.com';
        if ($feedback_option == 'moec2f_skip_feedback') 
        {
        	$subject            = "Deactivate [Feedback Skipped]: E-Commerce 2-Factor Plugin";
        }
        elseif ($feedback_option == 'moec2f_feedback') 
        {
        	$subject            = "Feedback:E-Commerce 2-Factor Plugin - ". esc_html($email);;
        }
        elseif ($feedback_option == 'moec2f_rating')
        {
        	$subject            = "Feedback: E-Commerce 2-Factor Plugin - ". esc_html($email);;
        }

        $user         = wp_get_current_user();
		
		$is_nc_with_1_user          = moec2f_Utility::get_mo2f_db_option('mo2f_is_NC', 'get_option') && moec2f_Utility::get_mo2f_db_option('mo2f_is_NNC', 'get_option');
		$is_ec_with_1_user          = ! moec2f_Utility::get_mo2f_db_option('mo2f_is_NC', 'get_option');
        $onprem = MOEC2F_IS_ONPREM ? 'O':'C';

		$customer_feature = "";


		if ( $is_ec_with_1_user ) {
			$customer_feature = "V1";
		}else if ( $is_nc_with_1_user ) {
			$customer_feature = "V3";
		}

		$query = '[E-Commerce 2 Factor Authentication Plugin: ' .$onprem.$customer_feature . ' - V '.MOEC2F_VERSION.']: ' . $message;


        $content='<div >Hello, <br><br>Ticket ID:'.$moWpnsUtility->getFeatureStatus().'<br><br>First Name :'.esc_html($user->user_firstname).'<br><br>Last  Name :'.esc_html($user->user_lastname).'   <br><br>Company :<a href="'.esc_url($_SERVER['SERVER_NAME']).'" target="_blank" >'.esc_url($_SERVER['SERVER_NAME']).'</a><br><br>Phone Number :'.esc_html($phone).'<br><br>Email :<a href="mailto:'.esc_html($email).'" target="_blank">'.esc_html($email).'</a><br><br>Query :'.esc_html($query).'</div>';


        $fields = array(
            'customerKey'	=> $customerKey,
            'sendEmail' 	=> true,
            'email' 		=> array(
                'customerKey' 	=> $customerKey,
                'fromEmail' 	=> $fromEmail,
                'fromName' 		=> 'Xecurify',
                'toEmail' 		=> '2fasupport@xecurify.com',
                'toName' 		=> '2fasupport@xecurify.com',
                'subject' 		=> $subject,
                'content' 		=> $content
            ),
        );
        $field_string = json_encode($fields);
        
         $authHeader  = $this->createAuthHeader($customerKey,$apiKey);
        $response = self::callAPI($url, $field_string,$authHeader);
        return $response;

    }

private static function createAuthHeader($customerKey, $apiKey) {
        $currentTimestampInMillis = round(microtime(true) * 1000);
        $currentTimestampInMillis = number_format($currentTimestampInMillis, 0, '', '');

        $stringToHash = $customerKey . $currentTimestampInMillis . $apiKey;
        $authHeader = hash("sha512", $stringToHash);

        $header = array (
            "Content-Type" => "application/json",
            "Customer-Key" => $customerKey,
            "Timestamp" => $currentTimestampInMillis,
            "Authorization" => $authHeader,
        );
        return $header;
    }

    private static function callAPI($url, $json_string, $headers = array("Content-Type: application/json")) {
	
	    $response  = wp_remote_post( $url, array(
			    'method'      => 'POST',
			    'timeout'     => 45,
			    'redirection' => 5,
			    'httpversion' => '1.0',
			    'blocking'    => true,
			    'headers'     => $headers,
			    'body'        => $json_string,
			    'cookies'     => array()
		    )
	    );
	
	    if(!is_wp_error($response)){
		    return $response['body'];
	    } else {
		    $message = 'Please enable curl extension. <a href="admin.php?page=mo_2fa_troubleshooting">Click here</a> for the steps to enable curl.';
		    return json_encode( array( "status" => 'ERROR', "message" => $message ) );
	    }
    }
	
   
    function mo2f_make_curl_call( $url, $fields, $http_header_array =array("Content-Type"=>"application/json","charset"=>"UTF-8","Authorization"=>"Basic")) {
        
        if ( gettype( $fields ) !== 'string' ) {
            $fields = json_encode( $fields );
        }

        $args = array(
            'method' => 'POST',
            'body' => $fields,
            'timeout' => '5',
            'redirection' => '5',
            'sslverify'  =>true,
            'httpversion' => '1.0',
            'blocking' => true,
            'headers' => $http_header_array
        );
		
		// 'sslverify'     =>  true,//MO_TEST_MODE ? false: true
		//wp_remote_retrieve_body

        $response = moec2f_cURL::mo2fa_wp_remote_post($url, $args);
        return $response;

    }
    
    public function mo2fa_wp_remote_post($url, $args = array()){

        $response = wp_remote_post($url, $args);
        
        if(!is_wp_error($response)){
            return $response['body'];
        } else {
            $message = 'Please enable curl extension. <a href="admin.php?page=moec_troubleshooting">Click here</a> for the steps to enable curl.';

            return json_encode( array( "status" => 'ERROR', "message" => $message ) );
        }

        return $response;
    }


}
